Plugin icons not showing

2011-06-15 01:26 PM - Chris Crook

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category:
Description

I've uploaded two plugins - VectorFieldRenderer and MemoryLayerSaver.  Both have icons defined (which show in QGIS plugin

manager), but when I look at "my plugins" on the plugin repository they don't appear...

History

#1 - 2011-06-15 11:49 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

- Status changed from Open to In Progress

First problem is the "./" prefix (which is useless anyway).

I'm working on a fix.

But your plugin init contains an error which will make this fail in any case:

def icon():

    return "./VectorFieldRenderer.png"

the zip file does not contain this file!!!!

the zip file contains "VectorFieldRendererIcon.png" instead.

Please fix your plugin.

#2 - 2011-06-16 02:17 AM - Alessandro Pasotti

- Status changed from In Progress to Closed

Fixed
